com.collabnet.ce.soap60.webservices.integrationdata

## Interface IIntegrationDataAppSoap

- All Known Implementing Classes:
    IntegrationDataAppSoapMockStub, IntegrationDataAppSoapStub

      public interface IIntegrationDataAppSoap

  Provides SOAP web service for the integration data application.

  Change History

  Version 6.1
  - setData: Removed, use putData, instead.
  - setDataByKey: Removed, use putDataByKey, instead.

  Version 4.4: No changes.
  Since:
    4.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.collabnet.ce.soap60.types.SoapNamedValues` | `getData(String sessionId, String namespaceId, String objectId)` Gets data for an object from the integration data service
    `String` | `getDataByKey(String sessionId, String namespaceId, String objectId, String key)` Gets data for an object from the integration data service
    `String` | `getNamespaceId(String sessionId, String name)` Gets the key to an existing namespace.
    `void` | `putData(String sessionId, String namespaceId, String objectId, com.collabnet.ce.soap60.types.SoapNamedValues namedValues)` Adds or replaces a set of integration data values for the specified object.
    `void` | `putDataByKey(String sessionId, String namespaceId, String objectId, String key, String value)` Adds or replaces a single integration data value for the specified object.
    `String` | `registerNamespace(String sessionId, String name)` Registers a new namespace
    `void` | `removeData(String sessionId, String namespaceId, String objectId, String[] keys)` Removes a set of integration data values from the specified object.
    `void` | `removeDataByKey(String sessionId, String namespaceId, String objectId, String key)` Removes a single integration data value from the specified object.

- - ### Method Detail

    - #### registerNamespace

          String registerNamespace(String sessionId,
                                   String name)
                            throws RemoteException

      Registers a new namespace
      Parameters:
        `sessionId` - SOAP session id.
        `name` - The name of the namespace to register
      Returns:
        Integration data namespace id
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when the specified name already exists
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### getNamespaceId

          String getNamespaceId(String sessionId,
                                String name)
                         throws RemoteException

      Gets the key to an existing namespace.
      Parameters:
        `sessionId` - SOAP session id.
        `name` - The name of the namespace to get
      Returns:
        Integration data namespace id
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified name doesn't exist.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### putData

          void putData(String sessionId,
                       String namespaceId,
                       String objectId,
                       com.collabnet.ce.soap60.types.SoapNamedValues namedValues)
                throws RemoteException

      Adds or replaces a set of integration data values for the specified object.
      Parameters:
        `sessionId` - SOAP session id.
        `namespaceId` - The namespace to store data under
        `objectId` - The object to associate the data with
        `namedValues` - Key value pairs of data to associate
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the object id doesn't exist
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user doesn't have permission to store data on the object
        `RemoteException`
      Since:
        4.3-HOTFIX1

    - #### putDataByKey

          void putDataByKey(String sessionId,
                            String namespaceId,
                            String objectId,
                            String key,
                            String value)
                     throws RemoteException

      Adds or replaces a single integration data value for the specified object.
      Parameters:
        `sessionId` - SOAP session id.
        `namespaceId` - The namespace to store data under
        `objectId` - The object to associate the data with
        `key` - The key of the piece of data to store
        `value` - The value to store
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the object id doesn't exist
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user doesn't have permission to store data on the object
        `RemoteException`
      Since:
        4.3-HOTFIX1

    - #### removeData

          void removeData(String sessionId,
                          String namespaceId,
                          String objectId,
                          String[] keys)
                   throws RemoteException

      Removes a set of integration data values from the specified object.
      Parameters:
        `sessionId` - SOAP session id.
        `namespaceId` - The namespace to store data under
        `objectId` - The object to associate the data with
        `keys` - Integration data keys (and associated values) to remove.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the object id doesn't exist
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user doesn't have permission to store data on the object
        `RemoteException`
      Since:
        4.3-HOTFIX1

    - #### removeDataByKey

          void removeDataByKey(String sessionId,
                               String namespaceId,
                               String objectId,
                               String key)
                        throws RemoteException

      Removes a single integration data value from the specified object.
      Parameters:
        `sessionId` - SOAP session id.
        `namespaceId` - The namespace to store data under
        `objectId` - The object to associate the data with
        `key` - Integration data key (and associated value) to remove.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the object id doesn't exist
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user doesn't have permission to store data on the object
        `RemoteException`
      Since:
        4.3-HOTFIX1

    - #### getData

          com.collabnet.ce.soap60.types.SoapNamedValues getData(String sessionId,
                                                                String namespaceId,
                                                                String objectId)
                                                         throws RemoteException

      Gets data for an object from the integration data service
      Parameters:
        `sessionId` - SOAP session id.
        `namespaceId` - The namespace to get data under
        `objectId` - The object to get the data for
      Returns:
        A SoapNamedValues collection of key/value pair stored data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the object id doesn't exist
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user doesn't have permission to get data on the object
        `RemoteException`
      Since:
        4.1

    - #### getDataByKey

          String getDataByKey(String sessionId,
                              String namespaceId,
                              String objectId,
                              String key)
                       throws RemoteException

      Gets data for an object from the integration data service
      Parameters:
        `sessionId` - SOAP session id.
        `namespaceId` - The namespace to get data under
        `objectId` - The object to get the data for
        `key` - The key of the piece of data to retrieve
      Returns:
        The value of the stored piece of data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the object id doesn't exist
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user doesn't have permission to get data on the object
        `RemoteException`
      Since:
        4.3

Copyright © 2019 CollabNet. All rights reserved.